<?php
 // === Classe Personnel ===
 class Personnel
 {  // -- Déclaration de deux constantes --
   const AGE_MIN = 14 ;      
   const AGE_MAX = 65 ;      
   // -- Les attributs ou propriétés --
   private $_nom=""   ;
   private $_prenom="";
   private $_age=0    ;
   // -- Getter --
   public function getNom() {return $this->_nom;}
   public function getPrenom() {return $this->_prenom;}
   public function getAge() {return $this->_age;}
   // -- Setter --
   public function setNom($n) {$this->_nom=$n;}
   public function setPrenom($p) {$this->_prenom=$p;}
   public function setAge($a) {
     if (($a>=self::AGE_MIN)&&($a<self::AGE_MAX))
     {$this->_age=intval($a);}
   }
 }
 // === Programme ===
 $une_personne = new Personnel() ;
 $une_personne->setNom("dupont") ;
 $une_personne->setPrenom("jean");
 $une_personne->setAge("25")     ;
 echo $une_personne->getNom()." ";
 echo $une_personne->getPrenom()." ";
 echo $une_personne->getAge().PHP_EOL; 
 // accès a une propriété inexistante
 $une_personne->telephone="0143451122" ;   
 echo $une_personne->telephone.PHP_EOL; 
?>
